package com.bjtdba.entity.userCenter;

import com.bjtdba.utils.DateUtils;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户视频表(UserVideo)实体类
 *
 * @author 何海强
 * @since 2022-11-12 09:35:58
 */
public class UserVideo implements Serializable {
    private static final long serialVersionUID = 749581822147853898L;
    
    private Integer id;
    
    private Integer uid;
    /**
     * 视频文案
     */
    private String context;
    /**
     * 本人分享次数
     */
    private Integer share_num;
    /**
     * 添加时间
     */
    private Date addtime;
    /**
     * 浏览量
     */
    private Long browse_num;
    /**
     * 视频地址
     */
    private String video_url;
    /**
     * 用户头像
     */
    private String avatar;
    /**
     * 用户昵称
     */
    private  String nickname;
    @JsonInclude(JsonInclude.Include.NON_DEFAULT)
    private Integer is_del;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public Integer getShare_num() {
        return share_num;
    }

    public void setShare_num(Integer share_num) {
        this.share_num = share_num;
    }

    public String getAddtime() {

        if (addtime!=null){
            return DateUtils.dateToStrLong(addtime);
        }else {
            return null;
        }

    }

    public void setAddtime(Date addtime) {
        this.addtime = addtime;
    }

    public Long getBrowse_num() {
        return browse_num;
    }

    public void setBrowse_num(Long browse_num) {
        this.browse_num = browse_num;
    }

    public String getVideo_url() {
        return video_url;
    }

    public void setVideo_url(String video_url) {
        this.video_url = video_url;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public Integer getIs_del() {
        return is_del;
    }

    public void setIs_del(Integer is_del) {
        this.is_del = is_del;
    }
}

